INDEX(P)

NAME
index - character string operations (LEGACY)

SYNOPSIS

#include <strings.h>

char *index(const char *s, int c);

DESCRIPTION

The index() function shall be equivalent to strchr().

RETURN VALUE

See strchr() .

ERRORS

See strchr() .

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

The strchr() function is preferred over this function.

For maximum portability, it is recommended to replace the function call to index() as follows:

    #define index(a,b) strchr((a),(b))

RATIONALE

None.

FUTURE DIRECTIONS

This function may be withdrawn in a future version.

SEE ALSO

strchr() , the Base Definitions volume of IEEE Std 1003.1-2001, <strings.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .